Bug 247787 - sysutils/iichid: Update to 0.0.3
Summary: sysutils/iichid: Update to 0.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vladimir Kondratyev
URL: https://reviews.freebsd.org/D25538
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-05 18:39 UTC by rozhuk.im
Modified: 2020-08-17 02:52 UTC (History)
6 users (show)

See Also:
wulf: maintainer-feedback? (imp)
koobs: merge-quarterly?


Attachments
patch (2.62 KB, patch)
2020-07-05 18:39 UTC, rozhuk.im
no flags Details | Diff
sysutils_iichid update to 0.0.3 (2.40 KB, patch)
2020-07-22 20:04 UTC, Vladimir Kondratyev
no flags Details | Diff
sysutils_iichid update to 0.0.3 (2.40 KB, patch)
2020-07-23 08:13 UTC, Vladimir Kondratyev
koobs: maintainer-approval+
Details | Diff
sysutils_iichid update to 0.0.3 (2.38 KB, patch)
2020-07-23 22:52 UTC, Vladimir Kondratyev
koobs: maintainer-approval+
Details | Diff
poudriere.log (32.80 KB, text/plain)
2020-07-23 22:56 UTC, Vladimir Kondratyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-07-05 18:39:54 UTC
Created attachment 216226 [details]
patch

This is devel version of sysutils/iichid, to not wait release tag at upstream.
Comment 1 Vladimir Kondratyev freebsd_committer 2020-07-07 15:42:25 UTC
I am not planning to do further out-of-tree development of iichid, except may be GPIO bits. It matured enough to start process of inclusion in to the base. That is why devel version is not needed IMO.

Currently, latest commit is tagged with 0.0.3, https://reviews.freebsd.org/D25538 is created and it is awaiting for maintainer approval.

Anyway, iichid pull requests are welcome.
Comment 2 Vladimir Kondratyev freebsd_committer 2020-07-22 20:04:00 UTC
Created attachment 216684 [details]
sysutils_iichid update to 0.0.3

Hi Ivan,

Wouldn't you mind if I replace your patch with sysutils/iichid update to 0.0.3 found in https://reviews.freebsd.org/D25538 (it is attached).

It is appeared that aforementioned phabricator patch have to be published in the bugzilla to trigger "maintainer timeout" feature.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-23 01:50:41 UTC
We have devel/iichid for the current devel version [1]. If you'd like that updated (based onn upstream changes, let me know

[1] https://www.freshports.org/sysutils/iichid/
Comment 4 rozhuk.im 2020-07-23 01:56:38 UTC
(In reply to Vladimir Kondratyev from comment #2)

Ok
Comment 5 Vladimir Kondratyev freebsd_committer 2020-07-23 08:13:50 UTC
Created attachment 216691 [details]
sysutils_iichid update to 0.0.3

Reupload "sysutils_iichid update to 0.0.3" to obsolete original iichid-devel patch
Comment 6 Vladimir Kondratyev freebsd_committer 2020-07-23 08:23:02 UTC
Phabricator summary by Miguel Gocobachi: https://reviews.freebsd.org/D25538

update version from 0.0.1 to 0.0.3

Because I am using it currently, I added two options.

    Make USB support optional
    Verbose mode optional

One of the things I dont want with my computer is having
those messages from iichid on the console, so I added the
verbose option.
Comment 7 Vladimir Kondratyev freebsd_committer 2020-07-23 08:32:28 UTC
(In reply to Kubilay Kocak from comment #3)
Existing port should be updated.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-23 12:54:05 UTC
Comment on attachment 216691 [details]
sysutils_iichid update to 0.0.3

If this passes QA (portlint, poudriere):

Approved by: koobs (ports)

Was the -wError removal blocked because the upstream sources now override it?

Also, if this is a bugfix release, please:

MFH: 2020Q3 (blanket: bugfix release)
Comment 9 Vladimir Kondratyev freebsd_committer 2020-07-23 22:52:48 UTC
Created attachment 216730 [details]
sysutils_iichid update to 0.0.3

> Was the -wError removal blocked because the upstream sources now override it?

Restore -wError. Although 0.0.1 i386 breakage was fixed, another one 32-bit issue appeared again.
Comment 10 Vladimir Kondratyev freebsd_committer 2020-07-23 22:56:54 UTC
Created attachment 216731 [details]
poudriere.log

i386 12.1-RELEASE poudriere log
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-24 02:10:29 UTC
Comment on attachment 216730 [details]
sysutils_iichid update to 0.0.3

Approved by: koobs (ports)

If this is a bugfix release:

MFH: 2020Q3 (blanket: bugfix release)
Comment 12 Warner Losh freebsd_committer 2020-07-24 06:08:51 UTC
Approved from a maintainer point of view. Feel free to grab maintainership too if you want.

If' I've not ticked the right boxes above, please feel free to do that in my stead.
Comment 13 commit-hook freebsd_committer 2020-07-24 22:11:23 UTC
A commit references this bug:

Author: wulf
Date: Fri Jul 24 22:10:23 UTC 2020
New revision: 543383
URL: https://svnweb.freebsd.org/changeset/ports/543383

Log:
  sysutils/iichid: Update to 0.0.3

  Most important changes:

  * USB transport backend is stable now and included in to port. It is disabled
    by default as it has greater priority than OS drivers.
  * hcons - Consumer page AKA Multimedia keys and hsctrl - System control page
    AKA Power keys drivers are added. They should replace sysutils/uhidd port
    that became unusable since recent X11 switchover to evdev.
  * hidraw - Exports raw HID data in uhid(4) and Linux hidraw-compatible way.

  Take maintainership, as suggested by imp@

  PR:		247787
  Submitted by:	Miguel Gocobachi <miguel@gocobachi.dev>
  Reviewed by:	koobs (ports)
  Approved by:	koobs (ports), imp (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D25538

Changes:
  head/sysutils/iichid/Makefile
  head/sysutils/iichid/distinfo
  head/sysutils/iichid/pkg-message
Comment 14 Mark Linimon freebsd_committer freebsd_triage 2020-08-17 02:52:10 UTC
Committed as r543383 Jul 24 22:10:23 UTC 2020.

^Triage: assign to committer that resolved.